QGIS Application - Bug report #14426
Zoom to layer behaves really weird when using a filter on a Shape file
2016-03-04 08:17 AM - Casper Bargesen

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:2.14.0 Regression?: No
Operating System: windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22406

Description

Steps to reproduce:

1. Open QGIS.

2. Open Shape file with atleast one attribute with varying values.
3. Show the layer.

4. Zoom to layer.

5. Zoom in on a feature.

6. Create a filter (Right click layer, select filter, filter on something).
7. Zoom to layer.

Now what happens for me is that it doesn't zoom to layer. When dragging the map (using the hand) the view just jumps back when |
release the drag.

| would expect the zoom to layer was working and that | would be able to resume working normally with QGIS afterwards.

This occurs both in the latest 2.14 x64 Windows release and in MASTER 81be559.

Associated revisions

Revision 5bb25d89 - 2016-03-06 01:02 PM - Salvatore Larosa

Fix #14426 - Zoom to layer behaves really weird when using a filter on a Shape file:

Fix extent for OGR provider, followup 9fb7819

Revision 9842dd74 - 2016-03-06 10:15 PM - Salvatore Larosa

Fix #14426 - Zoom to layer behaves really weird when using a filter on a Shape file:

Fix extent for OGR provider, followup 9fb7819

(cherry-picked from 5bb25d8917dc0d494ae46c035f8e019f448c60fb)

History

#1 - 2016-03-06 04:03 AM - Salvatore Larosa
- Status changed from Open to Closed
Fixed in changeset commit:"5bb25d8917dc0d494ae46c035{8e019f448c60fb".

#2 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown
